package cc.smtweb.system.bpm.web.sys.base.billType;

import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.mvc.service.AbstractHandler;
import cc.smtweb.framework.core.mvc.service.DefaultComboHandler;
import cc.smtweb.system.bpm.web.engine.model.listcard.single.LCSingleService;

/**
 * Created by 1 at 2022-08-25 18:44:57
 * 页面【[单据类型列表]的服务类
 */
@SwService
public class BillTypeService extends LCSingleService {
    @Override
    protected AbstractHandler createHandler(String type) {
        switch (type) {
            case TYPE_COMBO:
                return new DefaultComboHandler<BillType>(BillType.ENTITY_NAME);
            case TYPE_MODEL_SAVE:
                return new BillTypeSaveHandler();

        }
        return super.createHandler(type);
    }
}
